% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/trail_record.R
\name{trail_record}
\alias{trail_record}
\title{Trail record: reproducible quallmer annotation (deprecated)}
\usage{
trail_record(
  data,
  text_col,
  task,
  setting,
  id_col = NULL,
  cache_dir = NULL,
  overwrite = FALSE,
  annotate_fun = annotate
)
}
\arguments{
\item{data}{A data frame containing the text to be annotated.}

\item{text_col}{Character scalar. Name of the text column.}

\item{task}{A quallmer task object.}

\item{setting}{A \code{trail_setting} object describing the LLM configuration.}

\item{id_col}{Optional character scalar identifying units.}

\item{cache_dir}{Optional directory in which to cache Trails. If \code{NULL}, caching disabled.
For examples and tests, use \code{tempdir()} to comply with CRAN policies.}

\item{overwrite}{Whether to overwrite existing cache.}

\item{annotate_fun}{Function used to perform the annotation.}
}
\value{
An object of class \code{"trail_record"}.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}}
}
\details{
\code{trail_record()} is deprecated. Use \code{\link[=qlm_code]{qlm_code()}} instead, which automatically
captures metadata for reproducibility. For systematic comparisons across
different models or settings, see \code{\link[=qlm_replicate]{qlm_replicate()}}.
}
\keyword{internal}
